


// --------------------------------------------------------------------------
//
// This file is only used to permit Rock's Server Admin Package to operate
// on campaign missions.
//
// --------------------------------------------------------------------------


exec("multiplayerStdLib.cs");



// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from DMstdLib.cs -------------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function player::onAdd(%this)
{
	RocksPlayerOnAdd(%this);
}   

function vehicle::onAdd(%this)
{
	RocksVehicleOnAdd(%this);
}

function vehicle::onDestroyed(%destroyed, %destroyer)
{
	RocksVehicleOnDestroyed(%destroyed, %destroyer);
}

function vehicle::onScan(%scanned, %scanner)
{
	RocksVehicleOnScan(%scanned, %scanner);
}

function getPlayerScore(%a)
{
	return(RocksPlayerScore(%a));
}

function getTeamScore(%a)
{
	return(RocksTeamScore(%a));
}

function getTeamKills(%a)
{
	return(RocksTeamKills(%a));
}

function getTeamDeaths(%a)
{
	return(RocksTeamDeaths(%a));
}

function initScoreBoard()
{
   deleteVariables("$ScoreBoard::PlayerColumn*");
   deleteVariables("$ScoreBoard::TeamColumn*");

   if($server::TeamPlay == "True")	
   {
	   // Player ScoreBoard column headings
	   $ScoreBoard::PlayerColumnHeader1 = *IDMULT_SCORE_TEAM;
	   $ScoreBoard::PlayerColumnHeader2 = *IDMULT_SCORE_SQUAD;
	   $ScoreBoard::PlayerColumnHeader3 = *IDMULT_SCORE_SCORE;
	   $ScoreBoard::PlayerColumnHeader4 = *IDMULT_SCORE_KILLS;
	   $ScoreBoard::PlayerColumnHeader5 = *IDMULT_SCORE_DEATHS;

	   // Player ScoreBoard column functions
	   $ScoreBoard::PlayerColumnFunction1 = "getTeam";
	   $ScoreBoard::PlayerColumnFunction2 = "getSquad";
	   $ScoreBoard::PlayerColumnFunction3 = "getPlayerScore";
	   $ScoreBoard::PlayerColumnFunction4 = "getKills";
	   $ScoreBoard::PlayerColumnFunction5 = "getDeaths";
   }
   else
   {
       // Player ScoreBoard column headings
	   $ScoreBoard::PlayerColumnHeader1 = *IDMULT_SCORE_SQUAD;
	   $ScoreBoard::PlayerColumnHeader2 = *IDMULT_SCORE_SCORE;
	   $ScoreBoard::PlayerColumnHeader3 = *IDMULT_SCORE_KILLS;
	   $ScoreBoard::PlayerColumnHeader4 = *IDMULT_SCORE_DEATHS;

	   // Player ScoreBoard column functions
	   $ScoreBoard::PlayerColumnFunction1 = "getSquad";
	   $ScoreBoard::PlayerColumnFunction2 = "getPlayerScore";
	   $ScoreBoard::PlayerColumnFunction3 = "getKills";
	   $ScoreBoard::PlayerColumnFunction4 = "getDeaths";
   }

   // Team ScoreBoard column headings
   $ScoreBoard::TeamColumnHeader1 = *IDMULT_SCORE_SCORE;
   $ScoreBoard::TeamColumnHeader2 = *IDMULT_SCORE_PLAYERS;
   $ScoreBoard::TeamColumnHeader3 = *IDMULT_SCORE_KILLS;
   $ScoreBoard::TeamColumnHeader4 = *IDMULT_SCORE_DEATHS;

   // Team ScoreBoard column functions
   $ScoreBoard::TeamColumnFunction1 = "getTeamScore";
   $ScoreBoard::TeamColumnFunction2 = "getNumberOfPlayersOnTeam";
   $ScoreBoard::TeamColumnFunction3 = "getTeamKills";
   $ScoreBoard::TeamColumnFunction4 = "getTeamDeaths";

   // tell server to process all the scoreboard definitions defined above
   serverInitScoreBoard();
}


// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from multiplayerStdLib.cs ----------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function player::onRemove(%this)
{
	RocksPlayerOnRemove(%this);
}


// --------------------------------------------------------------------------
// --------------------------------------------------------------------------
// -------------------- came from missionStdLib.cs --------------------------
// --------------------------------------------------------------------------
// --------------------------------------------------------------------------

function vehicle::onTargeted(%targeted, %targeter)
{
	RocksVehicleOnTargeted(%targeted, %targeter);
}

function structure::onScan(%scanned, %scanner)
{
	RocksStructureOnScan(%scanned, %scanner);
}

function onMissionPreLoad()
{
	RocksOnMissionPreLoad();
}

function onMissionEnd()
{
	RocksOnMissionEnd();
}
